Skip to main content
GET
Get user actions
Requires address and at least one of providerId or providerIds. status filters by one value; statuses accepts up to 7 values as CSV or repeated parameters (when statuses is set, status is ignored). type filters by action type. limit defaults to 100 (maximum 500).

Authorizations

x-api-key
string
header
required

Query Parameters

offset
number
default:0

Offset for pagination

Required range: x >= 0
Example:

0

limit
number
default:100

Maximum number of items to return

Required range: 1 <= x <= 500
Example:

100

providerId
enum<string>

Single provider identifier. At least one of providerId or providerIds must be provided.

Available options:
hyperliquid,
hyperliquid-xyz
Example:

"hyperliquid"

providerIds
enum<string>[]

Filter by multiple providers (CSV, repeated query params, or JSON array). At least one of providerId or providerIds must be provided. When both providerId and providerIds are set, results include all listed providers.

Available options:
hyperliquid,
hyperliquid-xyz
Example:
address
string
required

User wallet address

Example:

"0xb8c8eb8efc68796e766f6ab320db8c165c064949"

status
enum<string>

Filter by action status Current action status

Available options:
CANCELED,
CREATED,
WAITING_FOR_NEXT,
PROCESSING,
FAILED,
SUCCESS,
STALE
statuses
enum<string>[]

Filter by multiple action statuses (supports CSV or repeated query params)

Current action status

Available options:
CANCELED,
CREATED,
WAITING_FOR_NEXT,
PROCESSING,
FAILED,
SUCCESS,
STALE
type
enum<string>

Filter by action type Supported action types

Available options:
open,
close,
updateLeverage,
stopLoss,
takeProfit,
cancelOrder,
editOrder,
fund,
withdraw,
approveAgent,
approveBuilderFee,
updateMargin,
setTpAndSl,
setUnifiedAccount
marketId
string

Filter by market (e.g. hyperliquid-eth-usdc)

Example:

"hyperliquid-eth-usdc"

Response

Paginated list of user actions

total
number
required

Total number of items available

Example:

150

offset
number
required

Offset of the current page

Example:

0

limit
number
required

Limit of the current page

Example:

100

items
object[]